This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1037941 - (CVE-2013-6824) CVE-2013-6824 zabbix: remote command execution from zabbix server
CVE-2013-6824 zabbix: remote command execution from zabbix server
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1037942 1037943 1037944 1082436
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-04 01:10 EST by Ratul Gupta
Modified: 2014-03-31 01:04 EDT (History)
9 users (show)

See Also:
Fixed In Version: zabbix 2.0.10, zabbix 1.8.19, zabbix 2.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-18 09:33:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-12-04 01:10:57 EST
Zabbix agent is found to be vulnerable to remote command execution from the Zabbix server in some cases.

It is found that if a flexible user parameter is configured in the agent, including a newline in the parameters will execute newline section as a separate command even if UnsafeUserParameters are disabled.

This type of attack is known to be only possible from Zabbix server or Zabbix proxy systems that are explicitly allowed in the agent configuration. Only flexible user parameters are vulnerable, static ones are not.

References:
https://bugs.gentoo.org/show_bug.cgi?id=493250
https://support.zabbix.com/browse/ZBX-7479
Comment 1 Ratul Gupta 2013-12-04 01:13:56 EST
Created zabbix tracking bugs for this issue:

Affects: fedora-all [bug 1037942]
Affects: epel-all [bug 1037943]
Comment 2 Ratul Gupta 2013-12-04 01:14:12 EST
Created zabbix20 tracking bugs for this issue:

Affects: epel-all [bug 1037944]

Note You need to log in before you can comment on or make changes to this bug.